Module org.jfree.chart3d
Package org.jfree.chart3d.plot

# Interface FontSource<K>

All Known Implementing Classes:
  `StandardFontSource`

public interface FontSource<K>
An object that supplies `Font` instances associated with keys. This is used by the `PiePlot3D` class to obtain section label fonts for each data item(segment) in the chart. A default implementation (`StandardFontSource`) is provided.

## Method Summary

Modifier and Type
Method
Description
`Font`
`getFont(K key)`
Returns a font based on the supplied key.
`void`
`setFont(K key, Font font)`
Sets the font associated with a key.
`void`
`style(Font font)`
Restyles the source using the specified font.

## Method Details

### getFont

Font getFont(K key)
Returns a font based on the supplied key.

Parameters:
  `key` - the key (`null` not permitted).
Returns:
  A font (never `null`).

### setFont

void setFont(K key, Font font)
Sets the font associated with a key.

Parameters:
  `key` - the key (`null` not permitted).
  `font` - the font (`null` not permitted).

### style

void style(Font font)
Restyles the source using the specified font. Refer to the implementing class to confirm the precise behaviour (typically all existing font settings are cleared and this font is installed as the new default section label font).

Parameters:
  `font` - the font (`null` not permitted).
Since:
  1.2